Solid Edge FrameworkSupport Type Library
AddEqual Method
Specifies the first Arc2d, Circle2d, or Line2d object to which the relationship is to be added.
Specifies the second Arc2d, Circle2d, or Line2d object to which the relationship is to be added. This graphic object must be the same type as the graphic object specified in Object1.
If guaranteed_ok is True, checking is performed to ensure that the relationship does not contradict previously placed relationships.
Description
Adds an equal relationship to a Relations2d collection.
Syntax
Visual Basic
Public Function AddEqual( _
   ByVal Object1 As Object, _
   ByVal Object2 As Object, _
   Optional ByVal guaranteed_ok As Variant _
) As Relation2d
Parameters
Object1
Specifies the first Arc2d, Circle2d, or Line2d object to which the relationship is to be added.
Object2
Specifies the second Arc2d, Circle2d, or Line2d object to which the relationship is to be added. This graphic object must be the same type as the graphic object specified in Object1.
guaranteed_ok
If guaranteed_ok is True, checking is performed to ensure that the relationship does not contradict previously placed relationships.
Remarks
The method modifies the first object to be equal to the second object of the same type. Modifications made depend on the objects. Relationship Add methods have checks to ensure that a new relationship does not contradict previously placed relationships. For example, AddHorizontal will return an error if the line already has a vertical relationship. This check can be turned off to enhance performance. The optional “guaranteed_ok” argument, if set to 1, bypasses relationship checking. However, this feature could leave the system in an unsolvable state, so use it carefully. It is best to use this feature only on a new element with no other relationships.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objLine1 As SolidEdgeFrameworkSupport.Line2d
    Dim objLine2 As SolidEdgeFrameworkSupport.Line2d
    Dim objCirc1 As SolidEdgeFrameworkSupport.Circle2d
    Dim objCirc2 As SolidEdgeFrameworkSupport.Circle2d
    Dim objArc1 As SolidEdgeFrameworkSupport.Arc2d
    Dim objArc2 As SolidEdgeFrameworkSupport.Arc2d
    Dim objRelns As SolidEdgeFrameworkSupport.Relations2d
    Dim objReln1 As SolidEdgeFrameworkSupport.Relation2d
    Dim objProfile As SolidEdgePart.Profile
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If

    ' Create an empty Profile
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                         objDoc.RefPlanes(1))
    ' Create 2 Line objects
    Set objLine1 = objProfile.Lines2d.AddBy2Points(x1:=0.05, y1:=0.025, x2:=0.05, y2:=0.05)
    Set objLine2 = objProfile.Lines2d.AddBy2Points(x1:=0.05, y1:=0.1, x2:=0.075, y2:=0.075)
    ' Create an Equal Relation between the objects
    Set objRelns = objProfile.Relations2d
    Set objReln1 = objRelns.AddEqual(Object1:=objLine1, Object2:=objLine2)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objCirc1 = Nothing
    Set objCirc2 = Nothing
    Set objLine1 = Nothing
    Set objLine2 = Nothing
    Set objArc1 = Nothing
    Set objArc2 = Nothing
    Set objProfile = Nothing
    Set objRelns = Nothing
    Set objReln1 = Nothing
End Sub
See Also

Relations2d Collection  | Relations2d Members